var system = require("../../system")
var settings = require("../../../config/settings");
const CtlBase = require("../ctl.base");

class BusistatCtl extends CtlBase {
    constructor() {
        super(CtlBase.getServiceName(BusistatCtl));
        this.departmentSve = system.getObject("service.departmentSve")
    }

    async suggest(query,qobj,req){
        var name = this.trim(qobj.name);
        if (!name) {
            return system.getResult2([])
        }
        var list = await this.departmentSve.suggestByName(name);
        return system.getResult2(list);
    }
    }

}

module.exports = BusistatCtl;
